Skip to main content
POST
/
v2
/
projects
/
{project_id}
/
traces
/
available_columns
Traces Available Columns
curl --request POST \
  --url https://api.galileo.ai/v2/projects/{project_id}/traces/available_columns \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
{
  "log_stream_id": "<string>",
  "experiment_id": "<string>",
  "metrics_testing_id": "<string>",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.galileo.ai/v2/projects/{project_id}/traces/available_columns"

payload = {
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
log_stream_id: '<string>',
experiment_id: '<string>',
metrics_testing_id: '<string>',
start_time: '2023-11-07T05:31:56Z',
end_time: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.galileo.ai/v2/projects/{project_id}/traces/available_columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "columns": [
    {
      "id": "<string>",
      "label": "<string>",
      "description": "<string>",
      "group_label": "<string>",
      "multi_valued": false,
      "allowed_values": [
        "<unknown>"
      ],
      "sortable": true,
      "filterable": true,
      "is_empty": false,
      "applicable_types": [],
      "is_optional": false,
      "roll_up_method": "<string>",
      "metric_key_alias": "<string>",
      "scorer_config": {
        "id": "<string>",
        "model_name": "<string>",
        "num_judges": 123,
        "filters": [
          {
            "value": "<string>",
            "name": "node_name",
            "case_sensitive": true
          }
        ],
        "scoreable_node_types": [
          "<string>"
        ],
        "cot_enabled": true,
        "name": "<string>",
        "scorer_version": {
          "id": "<string>",
          "version": 123,
          "scorer_id": "<string>",
          "generated_scorer": {
            "id": "<string>",
            "name": "<string>",
            "chain_poll_template": {
              "template": "<string>",
              "metric_system_prompt": "<string>",
              "metric_description": "<string>",
              "value_field_name": "rating",
              "explanation_field_name": "explanation",
              "metric_few_shot_examples": [
                {
                  "generation_prompt_and_response": "<string>",
                  "evaluating_response": "<string>"
                }
              ],
              "response_schema": {}
            },
            "instructions": "<string>",
            "user_prompt": "<string>"
          },
          "registered_scorer": {
            "id": "<string>",
            "name": "<string>",
            "score_type": "<string>"
          },
          "finetuned_scorer": {
            "id": "<string>",
            "name": "<string>",
            "lora_task_id": 123,
            "prompt": "<string>",
            "lora_weights_path": "<string>",
            "class_name_to_vocab_ix": {}
          },
          "model_name": "<string>",
          "num_judges": 123,
          "scoreable_node_types": [
            "<string>"
          ],
          "cot_enabled": true
        },
        "multimodal_capabilities": [],
        "score_type": "<string>"
      },
      "scorer_id": "<string>",
      "threshold": {
        "inverted": false,
        "buckets": [
          123
        ],
        "display_value_levels": [
          "<string>"
        ]
      }
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required

Body

application/json
log_stream_id
string<uuid4> | null

Log stream id associated with the traces.

experiment_id
string<uuid4> | null

Experiment id associated with the traces.

metrics_testing_id
string<uuid4> | null

Metrics testing id associated with the traces.

start_time
string<date-time> | null
end_time
string<date-time> | null

Response

Successful Response

columns
LogRecordsColumnInfo · object[]